# Insert customer product Endpoint: POST /enrichment/customer-products Version: 2.68.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the customer product that is globally unique across the provided customer product data Example: "DE01-1000004711-CUST-ABC-4711" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `externalCustomerId` (string) External unique id of the customer in the source system Example: "1000004711" - `externalProductId` (string) Unique id of the product in the source system that links the customer product to the internal product master Example: "DE01-MAT-000123" - `customerProductNumber` (string) Product number used by the customer to identify the product Example: "CUST-ABC-4711" - `unspsc` (string) United Nations Standard Products and Services Code of the product Example: "43211508" - `ean` (string) European Article Number (EAN-13) Example: "4006381333931" - `upc` (string) Universal Product Code (UPC-A) Example: "036000291452" - `gtin` (string) Global Trade Item Number (GTIN) according to GS1 standards. A globally unique identifier for trade items and products. Example: "4006381333931" - `customsTariffNumber` (string) Customs tariff number (HS/TARIC code) used for cross-border trade and customs Example: "8471300000" - `customerProductDescription` (string) Product description used by the customer Example: "Laptop 14 inch business model" - `salesOrganizationCode` (string) Sales organization for which the customer product is valid Example: "DE01" - `distributionChannel` (string) Distribution channel for sales Example: "10" - `division` (string) Division under which the sales organization operates Example: "00" - `baseUnitOfMeasure` (string) The base unit in which the product is managed in the system Example: "kg" - `status` (string) Current status of the customer product Example: "ACTIVE" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields